cURL
curl --request GET \ --url https://api.production.hyperoru.com/api/programs/signal-pools \ --header 'Authorization: Bearer <token>'
{ "pools": [ { "exchange": "<string>", "id": 123, "pool_name": "<string>", "signal_ids": "<unknown>", "source_config": "<unknown>", "source_type": "<string>", "symbols": "<unknown>", "created_at": "<string>", "enabled": true, "logic": "<string>" } ], "signals": [ { "exchange": "<string>", "id": 123, "signal_name": "<string>", "trigger_condition": "<unknown>", "created_at": "<string>", "description": "<string>", "enabled": true, "updated_at": "<string>" } ] }
Documentation IndexFetch the complete documentation index at: https://docs.hyperoru.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.hyperoru.com/llms.txt
Use this file to discover all available pages before exploring further.
Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.
POST /api/users/login
Authorization: Bearer <token>
Signal pools visible to programs
Show child attributes
Was this page helpful?